package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.TrsTechnicalWordsTenant;

import java.util.List;

/**
 * 专业术语Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface TrsTechnicalWordsTenantMapper
{
    /**
     * 查询专业术语
     * 
     * @param id 专业术语主键
     * @return 专业术语
     */
    public TrsTechnicalWordsTenant selectTrsTechnicalWordsById(Long id);

    /**
     * 查询专业术语列表
     * 
     * @param trsTechnicalWords 专业术语
     * @return 专业术语集合
     */
    public List<TrsTechnicalWordsTenant> selectTrsTechnicalWordsList(TrsTechnicalWordsTenant trsTechnicalWords);

    /**
     * 新增专业术语
     * 
     * @param trsTechnicalWords 专业术语
     * @return 结果
     */
    public int insertTrsTechnicalWords(TrsTechnicalWordsTenant trsTechnicalWords);

    /**
     * 修改专业术语
     * 
     * @param trsTechnicalWords 专业术语
     * @return 结果
     */
    public int updateTrsTechnicalWords(TrsTechnicalWordsTenant trsTechnicalWords);

    /**
     * 删除专业术语
     * 
     * @param id 专业术语主键
     * @return 结果
     */
    public int deleteTrsTechnicalWordsById(Long id);

    /**
     * 批量删除专业术语
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsTechnicalWordsByIds(String[] ids);

    Long selectId(String datakey);

    List<TrsTechnicalWordsTenant> selectTrsWordsListByErrorWord(String wrongWord);
}
